> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/mietenbuchhaltung/transaktionsdaten.md).

# Transaktionsdaten

Die Endpunkte dieser Berechtigung finden Sie im Controller RentAccountingTransactionData.

{% hint style="warning" %}
Um auf die Daten der Mietenbuchhaltung über die API zugreifen zu können, müssen die Endpunktberechtigungen "Verträge Bewegungen" aktiviert werden.
{% endhint %}

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Vertragskonten

<details>

<summary>Hinweise zur Funktion</summary>

Die Vertragskonten dienen der Abwicklung der Buchungen eines Vertrages. Sie sind nicht mit dem Vertrag gleichzusetzen.

</details>

#### Version 1.2

***

## GET /openwowi/v1.2/RentAccountingTransactionData/RentAccounts

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RentAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"LicenseAgreement":{"$ref":"#/components/schemas/Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LicenseAgreementWithUseUnitSlimDto"},"DayBalanceByOpenItems":{"type":"number","format":"decimal"},"TotalBalanceByOpenItems":{"type":"number","format":"decimal"},"OpenItemsWithNonZeroAmountCount":{"type":"integer","format":"int32"},"BalanceAt":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"HasClearingLock":{"type":"boolean"},"HasOutpaymentLock":{"type":"boolean"},"Info":{"type":"string","nullable":true},"ReasonOutpaymentLockAccount":{"type":"array","items":{"$ref":"#/components/schemas/RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ReasonOutpaymentLockAccountDto"},"nullable":true}},"additionalProperties":false},"Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LicenseAgreementWithUseUnitSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"UseUnit":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"UseUnitNumber":{"type":"string","nullable":true}},"additionalProperties":false},"RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ReasonOutpaymentLockAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RentAccountingTransactionData/RentAccounts":{"get":{"tags":["OpenWowi RentAccountingTransactionData"],"operationId":"RentAccountingTransactionData_GetRentAccounts","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"rentAccountId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"economicUnitId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"economicUnitIdNum","in":"query","schema":{"type":"string"}},{"name":"useUnitId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"useUnitNumber","in":"query","schema":{"type":"string"}},{"name":"licenseAgreementId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"licenseAgreementIdNum","in":"query","schema":{"type":"string"}},{"name":"licenseAgreementActiveOn","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RentAccountDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RentAccountDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RentAccounting.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RentAccountDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Offene Posten

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RentAccountingTransactionData/RentAccountOpenItems" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***
